<template>
    <section id="result-container">
      <div class="result-title">
        <h2>{{ totalResults }} News Results  <span class="news-result">(showing page {{ currentPage }} of {{ pageCount }})</span></h2>
      </div>
      <div id="results">
        <Card 
            :allNews="allNews"
            @viewNews="newsSelected"
        />
      </div>
       <div class="pagination">
        <a href="#" class="previous" @click="prev">&laquo; Previous</a>
        <a href="#" class="next" @click="next">Next &raquo;</a>
      </div>
    </section>
</template>

<script>
import Card from '@/components/Card.vue'
import { mapState } from 'vuex'

export default {
    emits:['newsSelected'],
    computed: {
        ...mapState({
            allNews: state => state.news,
        }),
    },
    components: {
        Card
    },
    props: {
        currentPage:Number,
        pageCount:Number,
        totalResults:Number,
        prev:Function,
        next:Function,
    },
    methods:{
        newsSelected(news) {
            this.$emit('newsSelected', news)
        }
    }
}
</script>